> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tic.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Debtor summary

> Get the most recent summary of debtor record of payment applications, non payment and debt balance

### Details

This endpoint will return the most recent debtors summary for companies registered in Sweden. If the response is 404, Not Found, it means there are no debt cases.
A successful response code 200 will include a debt balance (debtBalance) which contains the current debts to public vs private entities. A public entity includes
debt cases, referred in Sweden as A-mål (A-case), regarding debts to the central government, municipality, regions and various authorities.
Example of a public debt are taxes. Private debt cases, referred in Sweden as E-mål (E-case), are debts to individuals and companies.

For public debt cases additional information is included in the description property which holds information about the case type and the creditor. The debt balance
is the actual balance on the date and time supplied in the property lastUpdated (Unix epoch). The update frequency is described in the table below.

| Property                    | Contains                                                                                    |
| --------------------------- | ------------------------------------------------------------------------------------------- |
| debtBalance                 | Weekly updated debt balance for public vs. private debt cases                               |
| recordOfPaymentApplications | Daily updated contains payment applications made by creditors                               |
| recordOfNonPayment          | Daily updated contains records of non payment ()                                            |
| foreclosure                 | Daily updated information if there is a current foreclousre (Swedish: utmätning)            |
| debtRestructuring           | Daily updated information if there is a current debt restructuring (Swedish: skuldsanering) |

### Caution !

The four properties recordOfPaymentApplications, recordOfNonPayment, foreclosure, debtRestructuring may not be identical
between credit reference agencies until second quarter of 2025. The reason is that the central authority, Kronofogdemyndigheten,
which are the source of this information closed down their so called initial data loading for new actors until second quarter 2025.
To solve that problem we had to acquired the current state of record of payment applications and record of non payment
from another source and use the daily partial updates from Kronofogdemyndigheten from 2024-12-11 and onwards.

This could technically cause a slight deviation in registration entries. To cirumvent that issue we have decided to keep
a more relaxed approch in credit scoring of such records until second quarter of 2025.

Meanwhile this does not affect debtBalance since that data is delivered weekly to all credit reference agencies.


## OpenAPI

````yaml get /datasets/companies/{companyId}/se/debtor-summary
openapi: 3.0.4
info:
  title: TIC API
  description: ''
  version: v1
servers:
  - url: https://api.tic.io/
security:
  - ApiKey: []
tags:
  - name: BolagsverketStatistics
  - name: Companies
  - name: Companies_SE_
  - name: DocumentDelivery
  - name: EuropeanCommission
  - name: FinancialDocuments
  - name: Finansinspektionen
  - name: Free
  - name: ICA
  - name: ICAStatistics
  - name: Lists
  - name: Media
  - name: Persons
  - name: Persons_SE_
  - name: Properties_SE_
  - name: PTSPortings
  - name: Reseller
  - name: SearchBankruptciesReports
  - name: SearchCompanies
  - name: SearchCompaniesReports
  - name: SearchCompanyWorkplaces
  - name: SearchPerson
  - name: SearchProperties_SE_
  - name: SearchVehicles
  - name: TeamDocumentOrders
  - name: Teams
  - name: User
  - name: Vehicles_SE_
  - name: WatchLists
paths:
  /datasets/companies/{companyId}/se/debtor-summary:
    get:
      tags:
        - Companies_SE_
      summary: Debtor summary
      description: >-
        Get the most recent summary of debtor record of payment applications,
        non payment and debt balance
      operationId: CompanyMostRecentDebtorSummary
      parameters:
        - name: companyId
          in: path
          description: The id of the company
          required: true
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: The search response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Ormeo_Library_KFM_KFM_MostRecentDebtorSummary_Dto
components:
  schemas:
    Ormeo_Library_KFM_KFM_MostRecentDebtorSummary_Dto:
      type: object
      properties:
        foreclosure:
          type: boolean
          nullable: true
        debtRestructuring:
          type: boolean
          nullable: true
        recordOfPaymentApplications:
          $ref: '#/components/schemas/Ormeo_Library_KFM_RecordOfPaymentApplications'
        recordOfNonPayment:
          $ref: '#/components/schemas/Ormeo_Library_KFM_RecordOfNonPayment'
        debtBalance:
          $ref: '#/components/schemas/Ormeo_Library_KFM_DebtBalance'
        executions:
          type: array
          items:
            $ref: >-
              #/components/schemas/Ormeo_Library_KFM_KFM_DebtorChangeEntityExecution_Dto
          nullable: true
        decisions:
          type: array
          items:
            $ref: >-
              #/components/schemas/Ormeo_Library_KFM_KFM_DebtorChangeEntityDecision_Dto
          nullable: true
      additionalProperties: false
    Ormeo_Library_KFM_RecordOfPaymentApplications:
      type: object
      properties:
        numberOfCases:
          type: integer
          format: int32
        totalAmountInSEK:
          type: number
          format: double
        lastCaseDate:
          type: integer
          format: int64
          nullable: true
        orderToPayCases:
          type: array
          items:
            $ref: '#/components/schemas/Ormeo_Library_KFM_KFM_OrderToPayCaseMinimal'
          nullable: true
      additionalProperties: false
    Ormeo_Library_KFM_RecordOfNonPayment:
      type: object
      properties:
        numberOfCases:
          type: integer
          format: int32
        totalAmountInSEK:
          type: number
          format: double
        lastCaseDate:
          type: integer
          format: int64
          nullable: true
      additionalProperties: false
    Ormeo_Library_KFM_DebtBalance:
      type: object
      properties:
        lastUpdated:
          type: integer
          format: int64
        totalAmountInSEK:
          type: number
          format: double
          readOnly: true
        public:
          type: array
          items:
            $ref: '#/components/schemas/Ormeo_Library_KFM_DebtBalancePublic'
          nullable: true
        private:
          $ref: '#/components/schemas/Ormeo_Library_KFM_DebtBalancePrivate'
      additionalProperties: false
    Ormeo_Library_KFM_KFM_DebtorChangeEntityExecution_Dto:
      type: object
      properties:
        registrationDate:
          type: string
          format: date-time
          nullable: true
        caseNumber:
          type: string
          nullable: true
        caseNumberOldFormat:
          type: string
          nullable: true
        debtType:
          type: integer
          format: int32
          nullable: true
        debtTypeDescription:
          type: string
          nullable: true
        executionYear:
          type: string
          nullable: true
        executionTitleMonth:
          type: string
          nullable: true
        executionDate:
          type: string
          format: date-time
          nullable: true
        originalDebt:
          type: integer
          format: int32
          nullable: true
        recalledAmount:
          type: integer
          format: int32
          nullable: true
        executionEventType:
          type: string
          nullable: true
        executionEventTypeDescription:
          type: string
          nullable: true
        executionCaseType:
          type: string
          nullable: true
        executionCaseTypeDescription:
          type: string
          nullable: true
        terminatedWithCause:
          type: string
          nullable: true
        terminatedWithCauseDescription:
          type: string
          nullable: true
        executionEvents:
          type: array
          items:
            $ref: '#/components/schemas/Ormeo_Library_KFM_ExecutionEvent'
          nullable: true
      additionalProperties: false
    Ormeo_Library_KFM_KFM_DebtorChangeEntityDecision_Dto:
      type: object
      properties:
        decisionType:
          type: string
          nullable: true
        decisionTypeDescription:
          type: string
          nullable: true
        decisionDate:
          type: string
          format: date-time
          nullable: true
        decisionEventType:
          type: string
          nullable: true
        measures:
          type: array
          items:
            type: string
          nullable: true
        measuresDescriptions:
          type: array
          items:
            type: string
          nullable: true
        reasonForDecision:
          type: string
          nullable: true
        reasonForDecisionDescription:
          type: string
          nullable: true
      additionalProperties: false
    Ormeo_Library_KFM_KFM_OrderToPayCaseMinimal:
      type: object
      properties:
        notificationType:
          type: string
          nullable: true
        applicationVerdict:
          type: string
          nullable: true
        casePrefix:
          type: string
          nullable: true
        caseNumber:
          type: string
          nullable: true
        dateOfApplicationOrVerdict:
          type: string
          format: date-time
          nullable: true
        amount:
          type: number
          format: double
          nullable: true
        applicationWithdrawn:
          type: boolean
          nullable: true
        fileCreationDate:
          type: string
          format: date-time
      additionalProperties: false
    Ormeo_Library_KFM_DebtBalancePublic:
      type: object
      properties:
        description:
          type: string
          nullable: true
        totalAmountInSEK:
          type: number
          format: double
        numberOfCases:
          type: integer
          format: int32
      additionalProperties: false
    Ormeo_Library_KFM_DebtBalancePrivate:
      type: object
      properties:
        numberOfCases:
          type: integer
          format: int32
        totalAmountInSEK:
          type: number
          format: double
      additionalProperties: false
    Ormeo_Library_KFM_ExecutionEvent:
      type: object
      properties:
        executionDate:
          type: string
          format: date-time
          nullable: true
        executionEventType:
          type: string
          nullable: true
        executionEventTypeDescription:
          type: string
          nullable: true
        terminatedWithCause:
          type: string
          nullable: true
        terminatedWithCauseDescription:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    ApiKey:
      type: apiKey
      name: x-api-key
      in: header

````